#!/usr/bin/perl -w -I/usr/sausalito/perl
# Copyrigt 2012 Bluapp AB, Rickard Osser <rickard.osser@bluapp.se>

use CCE;
use Sauce::Service;
use Sauce::Util;

my $cce = new CCE;

my $DEBUG = 1;
$DEBUG && open(STDERR, ">/tmp/moveIso.debug");
$DEBUG && warn `date`;


$cce->connectfd();
($ok, $isoObj) = $cce->get($cce->event_oid());

$isoFileName = $isoObj->{isoFileName};
DEBUG && warn "FILE: $isoFileName\n";

`mv /vz/tmp/$isoFileName /vz/template/ISO`;


($sys_oid) = $cce->find('VserverMasterNode');
DEBUG && warn "SYS_OID: $sys_oid\n";

($ok) = $cce->set($sys_oid, '',{ 'OST_Trigger' => time()});
DEBUG && warn "TIME: ". time() ."\n";

$cce->bye('SUCCESS');
exit(0);
